---
title: As a standalone app
weight: 2
---

You can create a new Laravel application with Mailcoach preinstalled into using Composer. This application will also have authorization screens (login, password reset) and user management.

## Getting a license

In order to install Mailcoach, you'll need to [get a license](/docs/laravel-mailcoach/v4/general/getting-a-license) first.

### Creating the application

You can create the application with Mailcoach pre-installed using this command

```bash
composer create-project spatie/mailcoach-vapor
```

During the execution of this command Composer will ask for a user and a password. The user is the email address 
of your spatie.be account. The password is the key of your [Mailcoach license](/products/mailcoach).

### Configuring vapor.yml

In `vapor.yml` you should set the `id` and `name` keys to the id and name of your Vapor project.

Mailcoach uses a database to store information. Make sure you have a [provisioned a database in Vapor](https://docs.vapor.build/1.0/resources/databases.html#creating-databases) and specify its name in the `database` key. in `vapor.yml`.

Mailcoach uses Redis to reliably throttle API calls to email sending services.  You should [provision a Redis cache at Vapor](https://docs.vapor.build/1.0/resources/caches.html#creating-caches) and specify the name of your cache in `vapor.yml`

## Deploying to Vapor

With that setup out of the way, you should now be able to deploy the application to vapor

```bash
vapor deploy production
```

### Creating the first user

After the deploy is complete, you should create an initial user.

This can be done by executing `vapor command production` and give it this command.

```bash
mailcoach:make-user --username=<choose-your-username> --email=<choose-your-email>  --password=<choose-your-password> 
```

New users can be made on the users screen in mailcoach.

![Users screen](/docs/laravel-mailcoach/v4/images/getting-started/users.png)

### Configure the email sending service

Now that you are logged in you must configure the email sending service you'd like to use. Here are set up instructions for:

- [Amazon SES](/docs/laravel-mailcoach/v4/configuring-mail-providers/amazon-ses)
- [SendGrid](/docs/laravel-mailcoach/v4/configuring-mail-providers/sendgrid)
- [Mailgun](/docs/laravel-mailcoach/v4/configuring-mail-providers/mailgun)
- [Postmark](/docs/laravel-mailcoach/v4/configuring-mail-providers/postmark)

⚠️ You should configure a mailer before creating your first email list.

### Making sure everything works

Before sending out a real campaign, we highly recommend creating a small email list with a couple of test email addresses and send a campaign to it. This way, you can verify that sending mails, and the open & click tracking are all working correctly.
